<?php //
//$t = 120;
//ini_set("max_execution_time", $t);
set_time_limit(120); // Script timeout in seconds, need some high value for LibreOffice etc
//--include("engine.php");

$EnableUTF8 = false;

if ($EnableUTF8) {
	header('Content-Type: application/json; charset=utf-8');
}

////$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)
$gdata = $_GET; // Parameters

$ret["status"] = ""; // status, true on success, false on failure/ error
$ret["Action"] = $gdata["Action"]; // returns the Action/ Action code, same as request
$ret["data"] = ""; // contains payload/ return data
$ret["message"] = ""; // contains error message, if any

$jdata = json_decode(file_get_contents('php://input'), true); // JSON data, parse into $jdata array, can check by print_r($jdata)

if ($EnableUTF8) {
	$jdata = deutf8ize($jdata);
}

/*if (isset($_GET["wsid"])) {
	$wsid = $_GET["wsid"];
}
if (isset($jdata["wsid"])) {
	$wsid = $jdata["wsid"];
}*/


if ($gdata["Action"] == "UpdateStatus") {
	$rdata["TimeStamp"] = date("Y-m-d H:i:s");
	$rdata["DisplayTime"] = date("H:i:s");
	$ret["status"] = true; // status, true on success, false on failure/ error
	$ret["data"] = $rdata; // contains payload/ return data
	$ret["message"] = "Update status successful."; // contains error message, if any
}



if ($EnableUTF8) {
	echo json_encode(utf8ize($ret), JSON_FORCE_OBJECT); // Doesn't encode non-English characters without UTF-8
} else {
	echo json_encode($ret, JSON_FORCE_OBJECT); // Doesn't encode non-English characters without UTF-8
}

// https://stackoverflow.com/questions/19361282/why-would-json-encode-return-an-empty-string
function utf8ize($d) {
	if (is_array($d)) {
		foreach ($d as $k => $v) {
			$d[$k] = utf8ize($v);
		}
	} else if (is_string ($d)) {
		return utf8_encode($d);
	}
	return $d;
}

function deutf8ize($d) {
	if (is_array($d)) {
		foreach ($d as $k => $v) {
			$d[$k] = deutf8ize($v);
		}
	} else if (is_string ($d)) {
		return utf8_decode($d);
	}
	return $d;
}

?>
